org.eclipse.net4j.tcp

## Interface ITCPActiveSelectorListener

-     public interface ITCPActiveSelectorListener

  Call-back that handles the possible calls from a `selector` to an active consumer, usually a `connector`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleConnect(ITCPSelector selector, SocketChannel socketChannel)`
    `void` | `handleRead(ITCPSelector selector, SocketChannel socketChannel)`
    `void` | `handleRegistration(ITCPSelector selector, SocketChannel socketChannel)`
    `void` | `handleWrite(ITCPSelector selector, SocketChannel socketChannel)`

- - ### Method Detail

    - #### handleRegistration

          void handleRegistration(ITCPSelector selector,
                                  SocketChannel socketChannel)

    - #### handleConnect

          void handleConnect(ITCPSelector selector,
                             SocketChannel socketChannel)

    - #### handleRead

          void handleRead(ITCPSelector selector,
                          SocketChannel socketChannel)

    - #### handleWrite

          void handleWrite(ITCPSelector selector,
                           SocketChannel socketChannel)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html